%define major     17
%define libname   %mklibname upnp %{major}

%define ixmlmajor 11
%define libixml   %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.14.18
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            https://github.com/pupnp/pupnp
Source:         https://github.com/pupnp/pupnp/archive/release-%{version}/%{name}-%{version}.tar.gz

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q -n pupnp-release-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--enable-tools \
	--disable-largefile \
	--enable-reuseraddr \
	--enable-unspecified_server \
	--enable-ipv6
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING ChangeLog THANKS
%{_libdir}/libupnp.so.%{major}{,.*}

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 04 2023 daviddavid <daviddavid> 1.14.18-1.mga10
+ Revision: 1984116
- new version: 1.14.18

* Fri May 19 2023 luigiwalser <luigiwalser> 1.14.17-1.mga9
+ Revision: 1957376
- 1.14.17

* Thu Apr 06 2023 luigiwalser <luigiwalser> 1.14.16-1.mga9
+ Revision: 1951586
- 1.14.16

* Wed Nov 30 2022 luigiwalser <luigiwalser> 1.14.15-1.mga9
+ Revision: 1913335
- 1.14.15

* Fri Oct 14 2022 luigiwalser <luigiwalser> 1.14.14-1.mga9
+ Revision: 1896839
- 1.14.14

* Tue Aug 09 2022 luigiwalser <luigiwalser> 1.14.13-1.mga9
+ Revision: 1876457
- 1.14.13

* Tue Mar 15 2022 umeabot <umeabot> 1.14.12-2.mga9
+ Revision: 1793687
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 luigiwalser <luigiwalser> 1.14.12-1.mga9
+ Revision: 1754704
- 1.14.12

* Thu Aug 26 2021 luigiwalser <luigiwalser> 1.14.9-1.mga9
+ Revision: 1742632
- 1.14.9
- update URLs

* Tue May 18 2021 daviddavid <daviddavid> 1.14.7-1.mga9
+ Revision: 1725342
- new version: 1.14.7

* Sat May 15 2021 daviddavid <daviddavid> 1.14.6-1.mga9
+ Revision: 1723862
- new version: 1.14.6, fixes CVE-2021-29462 (mga#28923)

* Wed Apr 07 2021 daviddavid <daviddavid> 1.14.5-1.mga9
+ Revision: 1713936
- new version: 1.14.5

* Wed Mar 10 2021 daviddavid <daviddavid> 1.14.2-1.mga9
+ Revision: 1701128
- new version: 1.14.2

* Thu Dec 03 2020 luigiwalser <luigiwalser> 1.14.0-1.mga8
+ Revision: 1652182
- 1.14.0
- library major is now 17
- remove upstreamed patch

* Fri Jun 12 2020 ns80 <ns80> 1.12.1-2.mga8
+ Revision: 1592841
- backport upstream patch for CVE-2020-13848 (mga#26752)

* Sun May 24 2020 wally <wally> 1.12.1-1.mga8
+ Revision: 1587249
- new version 1.12.1
- new lib major 16
- new ixml major 11

* Fri Feb 14 2020 umeabot <umeabot> 1.8.4-4.mga8
+ Revision: 1521762
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 31 2018 luigiwalser <luigiwalser> 1.8.4-3.mga7
+ Revision: 1347728
- 1.8.4
- libupnp major is now 13
- libixml major is now 10
- libthreadutil is no more

* Sun Aug 26 2018 daviddavid <daviddavid> 1.6.25-1.mga7
+ Revision: 1254812
- new version: 1.6.25

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.6.21-1.mga6
+ Revision: 1078980
- 1.6.21

* Fri Dec 16 2016 luigiwalser <luigiwalser> 1.6.20-2.mga6
+ Revision: 1075726
- add patch from debian to fix CVE-2016-8863

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.6.20-1.mga6
+ Revision: 1045559
- 1.6.20
- remove upstreamed patches

* Tue Jul 19 2016 luigiwalser <luigiwalser> 1.6.19-6.mga6
+ Revision: 1042524
- add patch to disallow unhandled POSTs writing to filesystem by default
  (CVE-2016-6255)

* Mon Feb 08 2016 umeabot <umeabot> 1.6.19-5.mga6
+ Revision: 944965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.19-4.mga5
+ Revision: 750171
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 1.6.19-3.mga5
+ Revision: 736673
- add various upstream bug fixes (mga#14143)

* Tue Sep 16 2014 umeabot <umeabot> 1.6.19-2.mga5
+ Revision: 681830
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.6.19-1.mga5
+ Revision: 591817
- new version 1.6.19

* Fri Oct 18 2013 umeabot <umeabot> 1.6.18-2.mga4
+ Revision: 521990
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 guillomovitch <guillomovitch> 1.6.18-1.mga3
+ Revision: 394493
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 358298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 1.6.17-1.mga3
+ Revision: 289204
- new version 1.6.17

* Sat Jan 28 2012 kamil <kamil> 1.6.15-1.mga2
+ Revision: 202533
- new version 1.6.15
+ fwang <fwang>
- new version 1.6.13

* Tue Jan 25 2011 ahmad <ahmad> 1.6.6-4.mga1
+ Revision: 39636
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libupnp


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.6-3mdv2011.0
+ Revision: 620234
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.6.6-2mdv2010.0
+ Revision: 429844
- rebuild

* Tue Jun 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 228472
- update to new version 1.6.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 1.6.5-2mdv2009.0
+ Revision: 197464
- fix obsoletes

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.5-1mdv2009.0
+ Revision: 195343
- new version
- new development library policy
- bump major
- fix descriptions
- spec file clean

* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 158259
- 1.6.3
- 1.6.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 59908
- 1.6.0

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 17464
- 1.4.4


* Wed Feb 28 2007 Erwan Velu <erwan@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 126950
- 1.4.2
- Import libupnp

* Wed Aug 23 2006 Erwan Velu <erwan@mandriva.org> 1.4.1-1
- Switching to pupnp

* Fri Jul 21 2006 Erwan Velu <erwan@mandriva.org> 1.3.1-1
- 1.3.1
- Big clean, 1.3.1 sounds easiest to package

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 1.2.1a-3mdk
- debian fix is better than mine

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1.2.1a-2mdk
- some fancy footwork to:
  - follow libification policy
  - follow multiarch policy

* Sun Aug 14 2005 Austin Acton <austin@mandrake.org> 1.2.1a-1mdk
- initial package

